---
title: "Create a new Bank Account | Nuvio Docs"
description: "Creates a new cash account"
url: https://nuvio.io/docs/api/create-bank-account
---

# Create a new Bank Account

POST `/v1/accounts`

Needs an API key with the [`write`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Parameters

-   `name` string Required

    Account name

-   `currency` string Required

    3-letter currency code for the account.

## More parameters

-   `iban` string

    IBAN of this bank account.

-   `openingBalance` number

    Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. `eg. 1059.34`

## Returns

The created account.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

POST /v1/accounts

```
curl -X POST https://api.nuvio.io/v1/accounts \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Supplies",
    "currency": "USD"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "name": "Acme Supplies",
    "iban": "string",
    "integrationType": "string",
    "currency": "USD",
    "type": "string",
    "openingBalance": 100,
    "currentBalance": 100
  }
}
```
